using UnityEngine;

namespace Darkmatter.Core
{
    public interface IWeapon
    {
        public void Attack();
        public void Reload();
        bool canAttack { get; }
        string WeaponName { get; }

    }
}
